Bug 206462 - corrupt display on ATI ES1000 chipset
corrupt display on ATI ES1000 chipset
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-14 10:51 EDT by Andy Burns
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: f7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 19:05:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/tmp/ramfs/X.log from anaconda (54.18 KB, text/plain)
2006-09-16 07:50 EDT, Andy Burns
no flags Details
/tmp/ramfs/anaconda.log (13.12 KB, text/plain)
2006-09-16 07:50 EDT, Andy Burns
no flags Details
xorg.0.log from a normal boot, not from during anaconda (55.25 KB, text/plain)
2006-09-27 05:55 EDT, Andy Burns
no flags Details

  None (edit)
Description Andy Burns 2006-09-14 10:51:10 EDT
Description of problem:

Installing FC6T3 on an intel SR2500 chassis, anaconda starts probes which finds
an ATI ES1000 chipset, Xorg starts, and is "obviously" drawing correct stuff
into the framebuffer, however what is being displayed (on a 1024x768 CRT) is
badly garbled, best way to describe it is that like a a rapid version of the
wayne's world "dream sequence" wiggly video transition, it makes the mouse
pointer look like a rotating lissajous figure on an oscilloscope, the edges of
the screen are "frilly"

Version-Release number of selected component (if applicable):
FC6T3

How reproducible:
100%

Steps to Reproduce:
1. boot from DVD, run anaconda in GUI mode
Comment 1 Adam Jackson 2006-09-15 16:39:18 EDT
rpm -q xorg-x11-drv-ati

Also please attach your Xorg.0.log.
Comment 2 Andy Burns 2006-09-16 07:49:32 EDT
As this occurs during initial anaconda setup while booted from DVD, xorg isn't
technically installed at this point, so nothing sensible from rpm -q, however
the RPM included on the FC6T3 DVD is xorg-x11-drv-ati-6.6.2-1.fc6.x86_64.rpm, so
presumably that is the same version included within the stage2.img?

Unfortunately anaconda also fails to install an initrd so the machine isn't
bootable post-install, therefore no Xorg.0.log available, so instead I've booted
from DVD, paused during GUI installation, mounted a memory stick, and copied
/tmp/ramfs/X.log and /tmp/ramfs/anaconda.log to memory stick, I will attach
these files ...
Comment 3 Andy Burns 2006-09-16 07:50:31 EDT
Created attachment 136421 [details]
/tmp/ramfs/X.log from anaconda
Comment 4 Andy Burns 2006-09-16 07:50:54 EDT
Created attachment 136422 [details]
/tmp/ramfs/anaconda.log
Comment 5 Andy Burns 2006-09-18 03:32:00 EDT
Despite all the problems of taking a still photo from a CRT to describe a moving
problem, I've had a go, see http://adslpipe.co.uk/pics/es1000corruption.jpg

The picture as a whole isn't rolling vertically, but imagine that the sawtooth
distortion is rapidly shifting vertically, but out of sync so that it is like a
scrambling, rather than a rolling motion, that's about what I see ...

Ignore the moiré fringing, that's just an artifact of the photo.
Comment 6 Andy Burns 2006-09-27 05:55:00 EDT
Created attachment 137205 [details]
xorg.0.log from a normal boot, not from during anaconda

Just a quick update, I worked around the issue that was leaving this machine
unbootable after install, when firstboot ran, it had a good Xorg display, then
when Xorg/gdm started for real it was back to the "frilly" display, I've set
the machine to use VESA driver for now as it will be accessed remotely in this
case.
Comment 7 Adam Jackson 2006-10-03 11:53:01 EDT
I think this is a repeat of a PLL math bug we've hit before:

(II) RADEON(0): PLL parameters: rf=2700 rd=60 min=12000 max=46909632818162;
xclk=16600

That max value seems unlikely.
Comment 9 Andy Burns 2007-03-18 16:15:35 EDT
Just to refresh this bug, it still occurs during install with the F7t2 DVD,
however the Xorg that actually gets installed starts up properly.

Comment 10 Andy Burns 2007-07-23 19:05:48 EDT
This now works in F7 release.

Note You need to log in before you can comment on or make changes to this bug.